javax.ejb

## Annotation Type ActivationConfigProperty

-     @Target(value={})
      @Retention(value=RUNTIME)
      public @interface ActivationConfigProperty

  Used to provide information to the deployer about the configuration of a message driven bean in its operational environment.

  The following standard properties are recognized for JMS message driven beans:

  - `acknowledgeMode`. This property is used to specify the JMS acknowledgement mode for the message delivery when bean-managed transaction demarcation is used. Its values are `Auto_acknowledge` or `Dups_ok_acknowledge`. If this property is not specified, JMS `AUTO_ACKNOWLEDGE` semantics are assumed.
  - `messageSelector`. This property is used to specify the JMS message selector to be used in determining which messages a JMS message driven bean is to receive.
  - `destinationType`. This property is used to specify whether the message driven bean is intended to be used with a queue or a topic. The value must be either `javax.jms.Queue` or `javax.jms.Topic`.
  - `destinationLookup`. This property is used to specify the JMS queue or topic from which a JMS message-driven bean is to receive messages.
  - `connectionFactoryLookup`. This property is used to specify the JMS connection factory that will be used to connect to the JMS provider from which a JMS message-driven bean is to receive messages.
  - `subscriptionDurability`. If the message driven bean is intended to be used with a topic, this property may be used to indicate whether a durable or non-durable subscription should be used. The value of this property must be either `Durable` or `NonDurable`
  - `subscriptionName`. This property is used to specify the name of the durable subscription if the message-driven bean is intended to be used with a Topic, and the bean provider has indicated that a durable subscription should be used.
  - `clientId`. This property is used to specify the JMS client identifier that will be used when connecting to the JMS provider from which a JMS message-driven bean is to receive messages. If this property is not specified then the client identifier will be left unset.
  Since:
    EJB 3.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `propertyName`
    `String` | `propertyValue`

- - ### Element Detail

    - #### propertyName

          public abstract String propertyName

    - #### propertyValue

          public abstract String propertyValue

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.